summaryrefslogtreecommitdiffstats
path: root/extra/source
diff options
context:
space:
mode:
Diffstat (limited to 'extra/source')
-rw-r--r--extra/source/wicd/README.SLACKWARE8
-rw-r--r--extra/source/wicd/doinst.sh1
-rwxr-xr-xextra/source/wicd/wicd.SlackBuild31
3 files changed, 27 insertions, 13 deletions
diff --git a/extra/source/wicd/README.SLACKWARE b/extra/source/wicd/README.SLACKWARE
index 47a9cba99..e7a374dce 100644
--- a/extra/source/wicd/README.SLACKWARE
+++ b/extra/source/wicd/README.SLACKWARE
@@ -13,9 +13,5 @@ Your user account will need to be a member of the 'netdev' group
in order to use wicd.
Note that urwid will need to be installed if you want to use the
-curses client.
-
-Also, if you don't have kde installed, you won't have a graphical
-sudo client available; you might wish to consider ktsuss from
-SlackBuilds.org.
-
+curses client. Also, if you don't have kde installed, you won't
+have a graphical sudo client available.
diff --git a/extra/source/wicd/doinst.sh b/extra/source/wicd/doinst.sh
index 2c0f7d98b..78732c5b9 100644
--- a/extra/source/wicd/doinst.sh
+++ b/extra/source/wicd/doinst.sh
@@ -33,4 +33,5 @@ fi
config etc/dbus-1/system.d/wicd.conf.new
config etc/rc.d/rc.wicd.new
config etc/wicd/manager-settings.conf.new
+config etc/logrotate.d/wicd.logrotate.new
diff --git a/extra/source/wicd/wicd.SlackBuild b/extra/source/wicd/wicd.SlackBuild
index 21d6d454c..b2175a40a 100755
--- a/extra/source/wicd/wicd.SlackBuild
+++ b/extra/source/wicd/wicd.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008,2009 Robby Workman Northport, AL, USA
+# Copyright 2008,2009,2010,2011,2012 Robby Workman Northport, AL, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,9 +21,17 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=wicd
-VERSION=${VERSION:-1.6.2.1}
-ARCH=${ARCH:-x86_64} # This should be the same as the python package
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-1.7.2.1}
+BUILD=${BUILD:-1_slack13.0}
+
+# Automatically determine architecture for build & packaging:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
CWD=$(pwd)
TMP=${TMP:-/tmp}
@@ -35,13 +43,15 @@ elif [ "$ARCH" = "s390" ]; then
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz || exit 1
cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
@@ -49,8 +59,14 @@ python setup.py configure \
--lib=/usr/lib${LIBDIRSUFFIX}/wicd \
--kdedir=/usr/share/autostart \
--backends=/usr/lib${LIBDIRSUFFIX}/wicd/backends \
- --wicdgroup=netdev \
|| exit 1
+
+# Bypass the need for pybabel (thanks, dapal!)
+for pofile in $(find po/ -type f -name "*.po") ; do
+ mkdir -p translations/$(basename ${pofile} .po)/LC_MESSAGES
+ msgfmt -o translations/$(basename ${pofile} .po)/LC_MESSAGES/wicd.mo ${pofile}
+done
+
python setup.py install --root=$PKG || exit 1
# Handle some Slackware defaults
@@ -62,8 +78,9 @@ dhcp_client = 2
sudo_app = 2
EOF
-# Don't clobber dbus config on upgrade
+# Don't clobber configs on upgrade
mv $PKG/etc/dbus-1/system.d/wicd.conf $PKG/etc/dbus-1/system.d/wicd.conf.new
+mv $PKG/etc/logrotate.d/wicd.logrotate $PKG/etc/logrotate.d/wicd.logrotate.new
mv $PKG/etc/rc.d/rc.wicd $PKG/etc/rc.d/rc.wicd.new
# Compress the man pages and add a bit to the package docs